> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Workflow

> Create a new orchestration workflow (starts in 'draft' status).



## OpenAPI

````yaml /openapi.json post /v1/orchestration/workflows
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/orchestration/workflows:
    post:
      tags:
        - orchestration
      summary: Create Workflow
      description: Create a new orchestration workflow (starts in 'draft' status).
      operationId: create_workflow_v1_orchestration_workflows_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkflowCreateBody'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Create Workflow V1 Orchestration Workflows Post
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    WorkflowCreateBody:
      properties:
        description:
          anyOf:
            - maxLength: 2000
              type: string
            - type: 'null'
          title: Description
        name:
          maxLength: 200
          minLength: 1
          title: Name
          type: string
        steps:
          items:
            additionalProperties: true
            type: object
          title: Steps
          type: array
        trigger_type:
          default: manual
          enum:
            - manual
            - scheduled
            - event
          title: Trigger Type
          type: string
      required:
        - name
      title: WorkflowCreateBody
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````